GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
call_log_batch.c File Reference
`#include "src/core/surface/call.h"`
`#include "src/core/support/string.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/string_util.h>`

## Functions
char * | grpc_op_string (const grpc_op *op)
void | grpc_call_log_batch (char *file, int line, gpr_log_severity severity, grpc_call *call, const grpc_op *ops, size_t nops, void *tag)
void | grpc_server_log_request_call (char *file, int line, gpr_log_severity severity, grpc_server *server, grpc_call **call, grpc_call_details *details, grpc_metadata_array *initial_metadata, grpc_completion_queue *cq_bound_to_call, grpc_completion_queue *cq_for_notification, void *tag)
void | grpc_server_log_shutdown (char *file, int line, gpr_log_severity severity, grpc_server *server, grpc_completion_queue *cq, void *tag)

## Variables
int | grpc_trace_batch = 0

## Function Documentation

void grpc_call_log_batch | ( | char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | grpc_call * | call,
|  | const grpc_op * | ops,
|  | size_t | nops,
|  | void * | tag
| ) |  |

char* grpc_op_string | ( | const grpc_op * | op | ) |

void grpc_server_log_request_call | ( | char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | grpc_server * | server,
|  | grpc_call ** | call,
|  | grpc_call_details * | details,
|  | grpc_metadata_array * | initial_metadata,
|  | grpc_completion_queue * | cq_bound_to_call,
|  | grpc_completion_queue * | cq_for_notification,
|  | void * | tag
| ) |  |

void grpc_server_log_shutdown | ( | char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | grpc_server * | server,
|  | grpc_completion_queue * | cq,
|  | void * | tag
| ) |  |

## Variable Documentation

int grpc_trace_batch = 0